
#calculate complexity as in Okanoya 2012 Journal of Comparative Psychology (where lower-valued songs are more complex). The denominator is the number of unique transitions. The numerator is the number of unique note types.

get.linearity <- function(data){
  #define the vector that will hold complexities
  complexity=NULL
  #for each song
  for (i in 1:length(data)){
    working.song=append(data[[i]],"end")
    #define the list that will hold the transitions
    trans=NULL
    #We will look at each transition in sequence.
    for (j in 1:(length(data[[i]]))){
      #collect the transitions
      trans=c(trans,paste(working.song[j],working.song[j+1],sep=""))
    }
    #compute complexity
    complexity=c(complexity,length(unique(data[[i]]))/length(unique(trans)))
  }
  return(complexity)  
} 
 
